Loading...
Searching...
No Matches
OBNasaThermoData Class Reference

`#include <openbabel/kinetics.h>`

Inheritance diagram for OBNasaThermoData:
[legend]

## Public Member Functions

| OBNasaThermoData ()
virtual OBGenericData * | Clone (OBBase *parent) const
double | GetCoeff (unsigned n) const
void | SetCoeff (unsigned n, const double val)
double | GetLoT () const
double | GetMidT () const
double | GetHiT () const
void | SetLoT (double val)
void | SetMidT (double val)
void | SetHiT (double val)
char | GetPhase () const
void | SetPhase (char ph)
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const

## Protected Attributes

double | Coeffs [14]
double | LoT
double | MidT
double | HiT
char | phase
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Thermodynamic data in old style NASA polynomial form for OBMol.

This is a venerable data format used to describe specific heats, enthalpies and entropies, particularly in the gas phase and at high temperatures. There is a standard datafile with fixed format (for punched cards!) which can be read and written to this OBMol extension using the thermo format. It is also used in chemkin format and in cmlreact format For a brief description of the meaning of the coefficients see http://www.me.berkeley.edu/gri_mech/data/nasa_plnm.html The first 7 coefficients are for the high temperature range MidT to HiT; and the second 7 are for the low temperature range LoT to MidT Note that there is a more modern NASA polynomial with more terms, which is not supported here.

## Constructor & Destructor Documentation

## OBNasaThermoData()

OBNasaThermoData | ( |  | ) |

inline

Referenced by Clone().

## Member Function Documentation

## Clone()

virtual OBGenericData * Clone | ( | OBBase * | parent | ) | const

inline virtual

Reimplemented from OBGenericData.

## GetCoeff()

double GetCoeff | ( | unsigned | n | ) | const

inline

## SetCoeff()

void SetCoeff | ( | unsigned | n,
|  | const double | val )

inline

## GetLoT()

double GetLoT | ( |  | ) | const

inline

## GetMidT()

double GetMidT | ( |  | ) | const

inline

## GetHiT()

double GetHiT | ( |  | ) | const

inline

## SetLoT()

void SetLoT | ( | double | val | ) |

inline

## SetMidT()

void SetMidT | ( | double | val | ) |

inline

## SetHiT()

void SetHiT | ( | double | val | ) |

inline

## GetPhase()

char GetPhase | ( |  | ) | const

inline

## SetPhase()

void SetPhase | ( | char | ph | ) |

inline

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual inherited

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Member Data Documentation

## Coeffs

double Coeffs[14]

protected

Referenced by GetCoeff(), and SetCoeff().

## LoT

double LoT

protected

Referenced by GetLoT(), OBNasaThermoData(), and SetLoT().

## MidT

double MidT

protected

Referenced by GetMidT(), OBNasaThermoData(), and SetMidT().

## HiT

double HiT

protected

Referenced by GetHiT(), OBNasaThermoData(), and SetHiT().

## phase

char phase

protected

Referenced by GetPhase(), OBNasaThermoData(), and SetPhase().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following file:

- kinetics.h